This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 731594 - Alert History shows non-useful information after Event-based conditions are changed
Alert History shows non-useful information after Event-based conditions are c...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.0.1
All All
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-08-17 19:13 EDT by Marc Shirley
Modified: 2011-09-30 13:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the Alerts->History page showing "No Conditions" and "--" values (117.02 KB, image/jpeg)
2011-08-17 19:13 EDT, Marc Shirley
no flags Details

  None (edit)
Description Marc Shirley 2011-08-17 19:13:27 EDT
Created attachment 518770 [details]
Screenshot of the Alerts->History page showing "No Conditions" and "--" values

Description of problem:
After changing the Event conditions of an alert definition, previous instances of the alert will show with no information in the Alerts->History page under the "Alert Condition" and the "Actual Value" columns.  For instance, "Alert Condition" will show 'No Conditions' and "Actual Value" will show '--'.

This should be updated to either record the condition set used to trigger the alert for each instance of the alert, or the message in the History panel should be amended to indicate that this alert definition has been modified.

Version-Release number of selected component (if applicable):
JON 2.4.1

How reproducible:
Very

Steps to Reproduce:
1. Create Alert definition on JBoss AS resource server.log with condition set consisting of "Event Severity: INFO"
2. Trigger something to generate message in the server.log
3. Confirm alert was generated with valid "Alert Condition" and "Actual Value" values in the Alerts->History page
4. Change Alert definition's condition (for example, adding an expression to match)
5. Reload Alerts->History page to see that previous alert instances have reverted to "No Conditions" and "--" for the "Alert Condition" and "Actual Value" columns
  
Actual results:
"Alert Condition" column shows a value of 'No Conditions'
"Actual Value" column shows a value of '--'

Expected results:
"Alert Condition" column should show one of the two messages:
1) "No Conditions or Condition Set modified"
2) The condition set active upon the time of the alert being triggered

"Actual Value" column should show the value that triggered the alert.
Comment 1 Larry O'Leary 2011-08-24 15:49:02 EDT
Increased severity as the issue means that alert history is useless in the event that an alert definition is updated.

Note You need to log in before you can comment on or make changes to this bug.